#ifndef QCONFIGURATIONWIDGET_H
#define QCONFIGURATIONWIDGET_H

#include <QtWidgets/QtWidgets>
#include <string>
#include "ui_QConfigurationWidget.h"

using std::string; 

class QConfigurationWidget : public QWidget, public Ui::QConfigurationWidget
{
	Q_OBJECT

public:
	QConfigurationWidget(QWidget *parent = 0);
	~QConfigurationWidget();

protected Q_SLOTS:
	void onAutoTraderCodeEdited();
	void onAutoTraderCodeChanged();
	void onSave();
	void onReset();

private:
	void init();
	void initWidget();
	void initSignal();
	void initData();
};

#endif // QCONFIGURATIONWIDGET_H
